package com.brilliance.isc.swift.objmtconvert.model.mt7xx.tag.tag730;

import com.brilliance.isc.swift.objmtconvert.model.AbsMTCreator;
import com.brilliance.isc.swift.objmtconvert.model.AbsTagCreate;
import com.brilliance.isc.swift.objmtconvert.model.mt7xx.MT730Creator;

/**
 * @author wuzhe
 * @date 2023/2/28
 */
public class Tag25Creator extends AbsTagCreate {

     private MT730Creator mt730Creator;

    public Tag25Creator(AbsMTCreator absMTCreator)
    {
        super(absMTCreator);
        this.mt730Creator= (MT730Creator) absMTCreator;
    }

    public  void creator()
    {
        String tag25Value = mt730Creator.getAccountIdentification();
        mt730Creator.set("25", tag25Value);
    }
}
